#!/bin/sh
# $Id: rc.pl,v 1.1 1999/07/13 22:36:04 papowell Exp papowell $
# System startup script run by init on autoboot
# or after single-user.

stty status '^T'

trap : 2
trap : 3	# shouldn't be needed

HOME=/; export HOME
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin
export PATH

trap "echo 'Reboot zostal przerwany'; exit 1" 3

############################################
### Special setup for one floppy PICOBSD ###
############################################
echo ""
echo "-----------------------------------------------"
echo "  Prosze czekac. Trwa uruchamianie systemu..."
echo "-----------------------------------------------"
echo ""
echo "Wczytuje konfiguracje /etc z dyskietki..."
for i in /etc/defaults/rc.conf /etc/rc.conf ; do
  if [ -f "$i" ] ; then . "$i" ; fi;
done;
if [ "X${BOOT_DEVICE}" = "X" ] ; then BOOT_DEVICE=/dev/fd0a; fi;
mount -o rdonly ${BOOT_DEVICE} /start_floppy
cd /start_floppy;
p=;
for i in `ls`; do
  if [ -d "$i" ] ; then cp -Rp $i /; fi
done;
cd /etc
pwd_mkdb -p ./master.passwd
. rc
exit 0
